Get Trip Receipt PDF
GEThttps://api.uber.com/v1/business/trips/{trip_id}/receipt/pdf_url⚠️ Deprecation Notice: ⚠️ This API is deprecated and will reach end of support on January 31, 2027. Do not use this API for any new integrations. Any existing integrations must migrate to the Get Order Receipt API to fetch receipt PDF before this date.
¶ Use Case
The Business Receipt PDF endpoint allows you to view the pdf of the receipt generated for that trip. This will return NULL unless specifically granted access. Please reach out to our team for access.
¶ Authorization
OAuth 2.0 bearer token with the business.receipts scope.
¶ Path Parameters
| Name | Type | Description |
|---|---|---|
trip_id |
string |
Unique identifier representing a trip. |
¶ Example Request
curl -H 'Authorization: Bearer <TOKEN>' \
-H 'Accept-Language: en_US' \
-H 'Content-Type: application/json' \
'https://api.uber.com/v1/business/trips/<TRIP_ID>/receipt/pdf_url'
¶ Response
Status-Code: 200 OK
{
"trip_uuid": "5152dcc5-b88d-4754-8b33-975f4067c943",
"organization_uuid": "d715e84c-72ea-490e-a060-823f14532632",
"resource_url": "https://<url>",
"user_receipt_pdf_url": "https://<url>"
}
| Name | Type | Description |
|---|---|---|
trip_uuid |
string |
The unique UUID of the trip. |
organization_uuid |
string |
Unique identifier of the organization. |
resource_url |
string |
The URL for the U4B receipt pdf. Returns null if receipt PDF is not available. |
user_receipt_pdf_url |
string |
The URL of the User receipt pdf. Returns null if receipt PDF is not available. |
¶ Error Responses
| HTTP Status | Code | Description |
|---|---|---|
| 400 | bad_request |
Request specific message |
| 401 | not_authenticated |
Request made without authentication |
| 403 | not_authorized |
Caller not authorized to make this request |
| 404 | not_found |
Entity being fetched not found |
| 429 | rate_limited |
Rate limit exceeded |
| 500 | server_error |
We have experienced a problem |